#!/usr/bin/env zsh

Y=`date '+%Y'`
M=`date '+%m'`


UI_PATH="/Ui/$Y/$M/"
[ ! -d "$UI_PATH" ] \
  && mkdir -p "$UI_PATH"
mv /_/*\[footer*.(jpg|png|gif|webp|avif|svg) "$UI_PATH"
mv /_/*\[fold*.(jpg|png|gif|webp|avif|svg) "$UI_PATH"
mv /_/*\[full*.(jpg|png|gif|webp|avif|svg) "$UI_PATH"
mv /_/*\[menu*.(jpg|png|gif|webp|avif|svg) "$UI_PATH"
mv /_/*\[part*.(jpg|png|gif|webp|avif|svg) "$UI_PATH"
mv /_/*\[section*.(jpg|png|gif|webp|avif|svg) "$UI_PATH"


LOGO_PATH="/Img/identity/"
[ ! -d "$LOGO_PATH" ] \
  && mkdir -p "$LOGO_PATH"
mv /_/*\[logo*.(jpg|png|gif|webp|avif|svg) "$LOGO_PATH"


COVERS_PATH="/Img/covers/"
[ ! -d "$COVERS_PATH" ] \
  && mkdir -p "$COVERS_PATH"
mv /_/*\[poster*.(jpg|png|gif|webp|avif|svg) "$COVERS_PATH"
mv /_/*\[album*.(jpg|png|gif|webp|avif|svg) "$COVERS_PATH"
mv /_/*\[cover*.(jpg|png|gif|webp|avif|svg) "$COVERS_PATH"


IMG_PATH="/Img/$Y/$M/"
[ ! -d "$IMG_PATH" ] \
  && mkdir -p "$IMG_PATH"
mv /_/*.(jpg|png|gif|webp|avif|svg) "$IMG_PATH"


DUST_PATH='/Data/Video/yt/@watchdust/'
[ ! -d "$DUST_PATH" ] \
  && mkdir -p "$DUST_PATH"
mv /_/yt-Sci-Fi*.(mp4|webm|mkv) "$DUST_PATH"


VID_PATH="/Data/Video/$Y/$M/"
[ ! -d "$VID_PATH" ] \
  && mkdir -p "$VID_PATH"
mv /_/*.(mp4|webm|mkv|mov|3gp|avi|mp2) "$VID_PATH"
