#!/usr/bin/env zsh


# oh-my-zsh
cd ~/.oh-my-zsh/ \
  && ./tools/upgrade.sh \
  && cd -


# rust & co
rustup update
cargo install-update -a

# bun
bun upgrade

# deno
deno upgrade

# nix
sudo nix-channel --update
sudo nixos-rebuild switch -I nixos-config=$HOME/Cfg/configuration.nix
